#
# spec file for package python-bibtex (Version 1.2.5)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name bibtex

Name:           python-%{mod_name}
Version:        1.2.5
Release:        19.2
Url:            http://pybliographer.org/
Summary:        Python Interface to BibTeX Files
License:        GPL-2.0+
Group:          Development/Libraries/Python
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-1.2.4-py26-testresults.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib2-devel python-devel recode-devel
%if 0%{?suse_version}
%py_requires
%endif

%description
This python extension contains a BibTeX parser and simple bindings to
the GNU Recode library. This extension is intended to be used with
pybliographer.


Authors:
--------
    Frederic Gobry <frederic.gobry@epfl.ch>
    Herve Dreau <hdreau@cybercable.fr>
    Travis Oliphant <Oliphant.Travis@mayo.edu>

%prep
%setup -q
%patch0

%build
export CFLAGS="%{optflags} -fstrict-aliasing"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} %{?suse_version: --record-rpm=INSTALLED_FILES}

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%doc README
%if 0%{!?suse_version:1}
%python_sitelib/%{mod_name}*
%endif

%changelog
* Tue Jan 11 2011 saschpe@suse.de
- update to 1.2.5
  * fixed bug in escaping non title fields
  * documentation updates
- cleaned up spec-file
  * removed changelog section (already in changes file)
* Tue Apr 21 2009 matejcik@suse.cz
- removed rm-rf from %%install
- switched to %%py_requires
- updated tests to reflect new item ordering (omg)
* Wed Jul 25 2007 jmatejek@suse.cz
- update to 1.2.4
  * upstream fixes deallocation bug, dropping our patch
  * fixed parsing of standalone lowercase names, like "others"
  * fixed bug in escaping non-title fields
* Mon Oct 23 2006 jmatejek@suse.cz
- fixed bad deallocation that caused python interpreter to abort
  (#208228)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 17 2005 ke@suse.de
- Update to version 1.2.2.
* Fri Oct  8 2004 ke@suse.de
- Update to version 1.2.1.
- Remove obsolete patch.
* Tue Aug 10 2004 pth@suse.de
- Fix pointer<->int casts
* Wed Oct 22 2003 mcihar@suse.cz
- no root for build
- cleaned up spec file
* Tue Oct 21 2003 ke@suse.de
- Use versioned dependency on python; recommended by Michal Cihar.
* Tue Oct 21 2003 ke@suse.de
- New package: version 1.1.93.1.
